
Redmine - Defect #8836

Additional workflow transitions not available when set to both author and assignee

2011-07-18 11:29 - marco zani

Status: Closed Start date: 2011-07-18

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 1.2.2   

Resolution: Fixed Affected version: 1.2.0

Description

"Additional transitions allowed when the user is the assignee" seems not to work, if general permissions are not defined.

May be (not tested) the same problem for "Additional transitions allowed when the user is the author

Toggle_check"

For example, in a situation like the one attached, I can't modify any status also if I'm the assignee of the issue.

Associated revisions

Revision 6300 - 2011-07-20 19:05 - Jean-Philippe Lang

Fixed: additional workflow transitions not available when set to both author and assignee (#8836).

Revision 6302 - 2011-07-20 21:01 - Jean-Philippe Lang

Fixes assertions (#8836).

Revision 7767 - 2011-11-11 12:36 - Jean-Philippe Lang

Merged r6300 and r6302 from trunk (#8836).

History

#1 - 2011-07-18 11:45 - Etienne Massip

- Category set to Issues workflow

#2 - 2011-07-20 19:05 - Jean-Philippe Lang

- Subject changed from Possible bug in workflow - 1.2.0.stable.6175 (MySQL) to Additional workflow transitions not available when set to both author

and assignee

- Status changed from New to Resolved

- Target version set to 1.2.2

- Resolution set to Fixed

Confirmed and fixed in r6300.

#3 - 2011-11-11 12:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r7767.
